pgpool-II 4.6.3 Documentation
Prev | Up |  | Next

# pcp_invalidate_query_cache

## Name

pcp_invalidate_query_cache -- invalidate query cache contents

## Synopsis

`pcp_invalidate_query_cache` [`options`...]

## Description

`pcp_invalidate_query_cache` places a query cache invalidation request on the shared memory area. The request is processed by one of Pgpool-II child process, which corresponds to each pgpool client session, when a message from the client is processed. This means that if there's no client connecting to Pgpool-II, or all clients are sitting idle, the request will not be processed until next message arrives.

Although this command does not modifies the statistics data shown by SHOW POOL_CACHE, part of the statistics data is affected since this command invalidate the contents of query cache. `num_cache_hits` and `num_selects` continue to increase after the query cache invalidated. `used_hash_entries`, `num_cache_entries` and `used_cache_entries_size` starts off with 0. `free_cache_entries_size` will increase.

If memory_cache_enabled is `false`, this command emits an error and exits.

## Options

See pcp_common_options.

Prev | Home | Next
pcp_log_rotate | Up | Other commands